## ktp-approver 0.6.1

=== CMakeLists.txt ===
project(ktp-approver)

set(KTP_APPROVER_VERSION "0.6.1")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
cmake_policy(SET CMP0002 OLD)

find_package(KDE4 REQUIRED)
find_package(TelepathyQt4 0.8.9 REQUIRED)

include_directories(${KDE4_INCLUDES} ${TELEPATHY_QT4_INCLUDE_DIR})
add_definitions(${KDE4_DEFINITIONS})

configure_file(version.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/version.h @ONLY)

add_subdirectory(src)

install(FILES ktp-approver.service DESTINATION ${SERVICETYPES_INSTALL_DIR})
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

## ktp-approver 0.3.1

=== debian/changelog ===
ktp-approver (0.3.1-0ubuntu1) precise; urgency=low

  * new upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Apr 2012 11:34:04 +0100

ktp-approver (0.3.0-0ubuntu2) precise; urgency=low

  * Add missing .install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Feb 2012 17:47:31 +0000

ktp-approver (0.3.0-0ubuntu1) precise; urgency=low

  * Initial Kubuntu package

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 03 Feb 2012 19:28:04 +0100

=== debian/control ===
Source: ktp-approver
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 8),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt4-dev (>= 0.7.1),
 kdelibs5-dev (>= 4:4.6),
 cmake (>= 2.8),
 libktpcommoninternalsprivate-dev (>= 0.3.0)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-approver

Package: kde-telepathy-approver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.3)
Recommends: kde-telepathy
Description: KDED module for approving incoming conversations
 This package provides a KDED module that starts together with the KDE
 Plasma Desktop and shows a notification popup when someone from your
 contacts starts chatting with you.
 .
 This package is not meant to be used standalone. It is recommended
 to install the telepathy-kde metapackage instead.

Package: kde-telepathy-approver-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-approver (= ${binary:Version}), ${misc:Depends}
Description: KDED module for approving incoming conversations - debug symbols
 This package provides the debug symbols for the telepathy approver
 KDED module.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde --dbg-package=kde-telepathy-approver-dbg --list-missing

## ktp-approver 0.4.0

=== debian/changelog ===
ktp-approver (0.4.0-1) unstable; urgency=low

  * Initial release.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Mon, 18 Jun 2012 22:13:17 +0300

=== debian/control ===
Source: ktp-approver
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt4-dev (>= 0.9.0),
 kdelibs5-dev (>= 4:4.6),
 cmake (>= 2.8)
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-approver
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-approver.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-approver.git

Package: kde-telepathy-approver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.4)
Recommends: kde-telepathy
Description: KDED module for approving incoming conversations
 This package provides a KDED module that starts together with the KDE
 Plasma Desktop and shows a notification popup when someone from your
 contacts starts chatting with you.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-approver-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-approver (= ${binary:Version}), ${misc:Depends}
Description: KDED module for approving incoming conversations - debug symbols
 This package provides the debug symbols for the telepathy approver
 KDED module.

## ktp-approver 0.5.1

=== debian/changelog ===
ktp-approver (0.5.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 05 Oct 2012 03:34:55 +0530

ktp-approver (0.5.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 26 Aug 2012 12:41:39 +0530

ktp-approver (0.4.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Michal Zajac <quintasan@kubuntu.org>  Tue, 31 Jul 2012 00:27:39 +0200

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/unstable/kde-telepathy/([\d.]+)/src/ktp-approver-([\d.]+).tar.bz2

## ktp-approver 0.5.2

=== debian/changelog ===
ktp-approver (0.5.2-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 19 Dec 2012 00:17:10 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ktp-approver
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),

## ktp-approver 0.6.1

=== debian/changelog ===
ktp-approver (0.6.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Apr 2013 10:31:25 +0100

ktp-approver (0.6.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Apr 2013 11:14:34 +0100

ktp-approver (0.5.80-0ubuntu1) raring; urgency=low

  * New upstream release
    - Update instlall files 

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 07 Mar 2013 16:26:56 +0000

ktp-approver (0.5.3-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 18 Feb 2013 16:19:35 +0530

## ktp-approver 0.6.3

=== debian/changelog ===
ktp-approver (0.6.3-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1208837)
  * Bump on libktpcommoninternalsprivate-dev

 -- Howard Chan <smartboyhw@gmail.com>  Wed, 07 Aug 2013 17:16:28 +0800

ktp-approver (0.6.2-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Bump on libktpcommoninternalsprivate-dev

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 21 Jun 2013 14:50:20 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  pkg-kde-tools (>= 0.9),
  libtelepathy-qt4-dev (>= 0.9.0),
  kdelibs5-dev (>= 4:4.6),
- cmake (>= 2.8)
+ cmake (>= 2.8),
+ libktpcommoninternalsprivate-dev (>= 0.6.3)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-approver
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-approver.git

## ktp-approver 0.7.0

=== debian/changelog ===
ktp-approver (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * servicetypes/ktp-approver.service renamed to ktp-approver.desktop
  * Bump kde-telepath-data dependency to >= 0.7

 -- Diane Trout <diane@ghic.org>  Wed, 27 Nov 2013 18:07:05 -0800

ktp-approver (0.6.3-1) unstable; urgency=low

  [ Diane Trout ]
  * Imported Upstream version 0.6.2
  * Set Uploaders to Diane Trout and Michał Zając
  * Install ktp-approver.service
  * Update Standards-Version to 3.9.4. No changes needed.
  * Update watch file as KDE-Telepathy is now in KDE stable.

  [ Mark Purcell ] 
  * Imported Upstream version 0.6.3
  * Reinstate debian/ to origin/master
  * Add myself to Uploaders

 -- Mark Purcell <msp@debian.org>  Sun, 11 Aug 2013 10:12:02 +1000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: ktp-approver
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
  libtelepathy-qt4-dev (>= 0.9.0),
  kdelibs5-dev (>= 4:4.6),
- cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.6.3)
-Standards-Version: 3.9.3
+ cmake (>= 2.8)
+Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-approver
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-approver.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-approver.git
 
 Package: kde-telepathy-approver
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.7)
 Recommends: kde-telepathy
 Description: KDED module for approving incoming conversations
  This package provides a KDED module that starts together with the KDE

## ktp-approver 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(ktp-approver)
 
-set(KTP_APPROVER_VERSION "0.6.1")
+set(KTP_APPROVER_VERSION "0.8.0")
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 cmake_policy(SET CMP0002 OLD)
@@ -15,7 +15,7 @@
 
 add_subdirectory(src)
 
-install(FILES ktp-approver.service DESTINATION ${SERVICETYPES_INSTALL_DIR})
+install(FILES ktp-approver.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
 find_package(Msgfmt REQUIRED)
 find_package(Gettext REQUIRED)
 add_subdirectory( po )

=== po/CMakeLists.txt ===
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( ia )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( kk )
add_subdirectory( km )
add_subdirectory( ko )
add_subdirectory( lt )
add_subdirectory( mr )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sr )
add_subdirectory( sr@ijekavian )
add_subdirectory( sr@ijekavianlatin )
add_subdirectory( sr@latin )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== debian/changelog ===
ktp-approver (0.8.0-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1297351)

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 01 Apr 2014 14:40:45 +0200

ktp-approver (0.7.80-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Feb 2014 00:13:12 +0100

ktp-approver (0.7.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 29 Jan 2014 19:45:02 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde --dbg-package=kde-telepathy-approver-dbg --list-missing

override_dh_auto_configure:
	dh_auto_configure -- -DDBUS_SEND_PATH=/usr/bin/dbus-send

## ktp-approver 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(ktp-approver)
 
-set(KTP_APPROVER_VERSION "0.8.0")
+set(KTP_APPROVER_VERSION "0.8.1")
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 cmake_policy(SET CMP0002 OLD)

=== src/CMakeLists.txt ===
set(ktp_approver_SRCS
    ktpapprovermodule.cpp
    approverdaemon.cpp
    dispatchoperation.cpp
    handlewithcaller.cpp
    channelapprover.cpp
    textchannelapprover.cpp
    tubechannelapprover.cpp
    filetransferchannelapprover.cpp
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

kde4_add_plugin(kded_ktp_approver ${ktp_approver_SRCS})
target_link_libraries(kded_ktp_approver ${KDE4_KDEUI_LIBS}
                                        ${TELEPATHY_QT4_LIBRARIES})

install(TARGETS kded_ktp_approver DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES ktp_approver.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)
install(FILES ktp_approverrc DESTINATION ${CONFIG_INSTALL_DIR})

find_file(DBUS_SEND_PATH dbus-send HINTS /usr/bin)
configure_file(org.freedesktop.Telepathy.Client.KTp.Approver.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.Approver.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.Approver.service
        DESTINATION ${DBUS_SERVICES_INSTALL_DIR})

=== debian/changelog ===
ktp-approver (0.8.1-0ubuntu0.1) trusty; urgency=medium

  * No change backport to trusty (LP: #1313611)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 19:32:42 +0200

ktp-approver (0.8.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 17:02:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ktp-approver
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kde-telepathy/([\d.]+)/src/ktp-approver-([\d.]+).tar.bz2

## ktp-approver 0.9.0

=== debian/changelog ===
ktp-approver (0.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Oct 2014 13:14:00 +0100

ktp-approver (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump kde-telepathy-data dependency to >= 0.8.1
  * Update Standards-Version to 3.9.5. No changes needed.
  * Update debian/copyright.

 -- Diane Trout <diane@ghic.org>  Fri, 16 May 2014 20:45:11 -0700

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: ktp-approver
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
  libtelepathy-qt4-dev (>= 0.9.0),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-approver
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-approver.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-approver.git
 
 Package: kde-telepathy-approver
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.7)
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.8.1)
 Recommends: kde-telepathy
 Description: KDED module for approving incoming conversations
  This package provides a KDED module that starts together with the KDE

## ktp-approver 15.08.2

=== debian/changelog ===
ktp-approver (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:49:21 +0100

ktp-approver (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:30:00 +0100

ktp-approver (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:41:12 +0100

ktp-approver (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:17:11 +0100

ktp-approver (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 port
    + Update rules for new pkg-kde-tools helpers
    + Update watch; now part of applications releases

  [ Scarlett Clark ]
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:27:41 +0200

=== debian/control ===
Source: ktp-approver
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               gettext,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5i18n-dev,
               libkf5notifications-dev,
               libkf5service-dev,
               libkf5windowsystem-dev,
               libtelepathy-qt5-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-approver
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ktp-approver.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ktp-approver.git

Package: kde-telepathy-approver
Architecture: any
Depends: kde-telepathy-data, ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-telepathy
Description: KDED module for approving incoming conversations
 This package provides a KDED module that starts together with the KDE
 Plasma Desktop and shows a notification popup when someone from your
 contacts starts chatting with you.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-approver-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-approver (= ${binary:Version}), ${misc:Depends}
Description: KDED module for approving incoming conversations - debug symbols
 This package provides the debug symbols for the telepathy approver
 KDED module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DDBUS_SEND_PATH=/usr/bin/dbus-send

override_dh_strip:
	$(overridden_command) --dbg-package=kde-telepathy-approver-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-approver-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-approver-([\d.]+).tar.xz

## ktp-approver 15.08.3

=== debian/changelog ===
ktp-approver (15.08.3-1) unstable; urgency=medium

  * New upstream release.

 -- Diane Trout <diane@ghic.org>  Wed, 02 Dec 2015 21:29:37 -0800

ktp-approver (15.08.2-1) unstable; urgency=medium

  * Apply homepage update patch from Matthew Cope
  * Update watch file for KTps move to Applications
  * New upstream release.
  * Update build dependencies to include:
    - qtbase5-dev, extra-cmake-modules, libsignon-qt5-dev,
      libtelepathy-qt5-dev, libtelepathy-logger-qt-dev
      and several libkf5 libraries.
  * Update debian/copyright.
    - Add myself top debian/* copyright.
    - Add LGPL-2+ block for src/ktp_approver_debug.*
    - remove po/* block.
  * Adjust paths in kde-telepathy-approver for KF5 locations.
  * Use --fail-missing in rules to make it easier for me to find
    whats missing.
  * Use dhmk from pkg-kde-tools to build ktp.
    - Change maintainer to debian-qt-kde
    - Update debian/rules
    - Update plugins path to qt5/plugins.
  * Add KDE's unstable download url to watch file

 -- Diane Trout <diane@ghic.org>  Sat, 07 Nov 2015 10:35:45 -0800

ktp-approver (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Change kde-telepathy-data depends to source:Upstream-Version
  * Update Standards-Version to 3.9.6. No changes needed.
  * Update debian/copyright.
  * Update debian/watch file to use http site.

 -- Diane Trout <diane@ghic.org>  Sat, 25 Apr 2015 20:17:10 -0700

=== debian/control ===
Source: ktp-approver
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools (>= 0.9),
 extra-cmake-modules (>= 1.3.0),
 libtelepathy-qt5-dev (>= 0.9.0),
 libtelepathy-logger-qt-dev,
 qtbase5-dev,
 kio-dev,
 libkf5dbusaddons-dev,
 libkf5kcmutils-dev,
 libkf5config-dev,
 libkf5iconthemes-dev,
 libkf5i18n-dev,
 libkf5notifications-dev,
 libkf5service-dev,
 libsignon-qt5-dev (>= 8.55),
 cmake (>= 2.8),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-approver
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-approver.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-approver.git

Package: kde-telepathy-approver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= ${source:Upstream-Version})
Recommends: kde-telepathy
Description: KDED module for approving incoming conversations
 This package provides a KDED module that starts together with the KDE
 Plasma Desktop and shows a notification popup when someone from your
 contacts starts chatting with you.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-approver-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-approver (= ${binary:Version}), ${misc:Depends}
Description: KDED module for approving incoming conversations - debug symbols
 This package provides the debug symbols for the telepathy approver
 KDED module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kde-telepathy-approver-dbg

override_dh_install:
	$(overridden_command) --fail-missing

override_dh_configure:
	$(overriden_command) -- -DDBUS_SEND_PATH=/usr/bin/dbus-send

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-approver-([\d.]+).tar.(?:bz2|xz)
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-approver-([\d.]+).tar.(?:bz2|xz)

## ktp-approver 15.12.3

=== CMakeLists.txt ===
project(ktp-approver)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "15")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")

set(KTP_APPROVER_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

cmake_policy(SET CMP0002 OLD)

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)

find_package (Qt5 REQUIRED COMPONENTS Widgets Network)
find_package (KF5 REQUIRED COMPONENTS DBusAddons Config I18n Notifications Service)

find_package(TelepathyQt5 REQUIRED)

include_directories(${TELEPATHY_QT5_INCLUDE_DIR})

configure_file(version.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/version.h @ONLY)

add_subdirectory(src)

install(FILES ktp-approver.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== debian/changelog ===
ktp-approver (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:08:56 -0700

ktp-approver (4:15.12.1-1ubuntu1) xenial; urgency=medium

  * Merged with Debian
    - Added epoch needed for Kubuntu
  * New upstream release 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:18:41 +0100

ktp-approver (15.12.1-1) experimental; urgency=medium

  * Update watch file.
  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:38 +0100

=== debian/control ===
Source: ktp-approver
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               kio-dev,
               libkf5config-dev,
               libkf5dbusaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kcmutils-dev,
               libkf5notifications-dev,
               libkf5service-dev,
               libsignon-qt5-dev (>= 8.55),
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.9.0),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-approver
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-approver.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-approver.git

Package: kde-telepathy-approver
Architecture: any
Depends: kde-telepathy-data (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-telepathy
Description: KDED module for approving incoming conversations
 This package provides a KDED module that starts together with the KDE
 Plasma Desktop and shows a notification popup when someone from your
 contacts starts chatting with you.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,11 @@
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 
+override_dh_auto_install:
+	$(overridden_command) --destdir=debian/tmp
+
 override_dh_strip:
-	$(overridden_command) --dbg-package=kde-telepathy-approver-dbg
+	$(overridden_command) --ddeb-migration='kde-telepathy-approver-dbg (<= 15.12.1-1~~)'
 
 override_dh_install:
 	$(overridden_command) --fail-missing

## ktp-approver 16.04.3

=== debian/changelog ===
ktp-approver (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 
  * Clean out cruft in repo. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:35:09 +0200

ktp-approver (15.12.2-1~) UNRELEASED; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Sun, 01 May 2016 20:27:30 -0700

=== debian/control ===
--- 
+++ 
@@ -8,24 +8,24 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kio-dev,
-               libkf5config-dev,
-               libkf5dbusaddons-dev,
-               libkf5i18n-dev,
-               libkf5iconthemes-dev,
-               libkf5kcmutils-dev,
-               libkf5notifications-dev,
-               libkf5service-dev,
+               extra-cmake-modules (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5dbusaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5iconthemes-dev (>= 5.24.0~),
+               libkf5kcmutils-dev (>= 5.24.0~),
+               libkf5notifications-dev (>= 5.24.0~),
+               libkf5service-dev (>= 5.24.0~),
                libsignon-qt5-dev (>= 8.55),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.0),
                pkg-kde-tools (>= 0.9),
-               qtbase5-dev (>= 5.4)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-approver
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-approver.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-approver.git
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-approver
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-approver
 
 Package: kde-telepathy-approver
 Architecture: any

## ktp-approver 16.12.3

=== debian/changelog ===
ktp-approver (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:28:32 +0000

ktp-approver (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:17:09 +0000

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kio-dev (>= 5.24.0~),
-               libkf5config-dev (>= 5.24.0~),
-               libkf5dbusaddons-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5iconthemes-dev (>= 5.24.0~),
-               libkf5kcmutils-dev (>= 5.24.0~),
-               libkf5notifications-dev (>= 5.24.0~),
-               libkf5service-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5kcmutils-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5notifications-dev (>= 5.31.0~),
+               libkf5service-dev (>= 5.31.0~),
                libsignon-qt5-dev (>= 8.55),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.0),
@@ -24,7 +24,7 @@
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-approver
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-approver
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-approver
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-approver
 
 Package: kde-telepathy-approver

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	$(overridden_command) --destdir=debian/tmp
 
 override_dh_strip:
-	$(overridden_command) --ddeb-migration='kde-telepathy-approver-dbg (<= 15.12.1-1~~)'
+	$(overridden_command) --dbgsym-migration='kde-telepathy-approver-dbg (<= 15.12.1-1~~)'
 
 override_dh_install:
 	$(overridden_command) --fail-missing

## ktp-approver 17.04.3

=== debian/changelog ===
ktp-approver (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install usr/share/locale/*/LC_MESSAGES/kded_ktp_approver.mo
  * Add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:32:34 +0100

## ktp-approver 17.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
 project(ktp-approver)
+include(FeatureSummary)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "15")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MAJOR "17")
+set (KDE_APPLICATIONS_VERSION_MINOR "08")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 
 set(KTP_APPROVER_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
@@ -31,3 +32,6 @@
 add_subdirectory(src)
 
 install(FILES ktp-approver.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
+
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ki18n_install(po)

=== debian/changelog ===
ktp-approver (17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Fix typo in variable in debian/rules.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 16:05:25 +0100

ktp-approver (17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Stop forcing debian/tmp as local installation directory, installing
    everything to the final location
    - drop kde-telepathy-approver.install, no more useful now
    - no more need to invoke dh_install --fail-missing
  * Bump telepathy-related build dependencies:
    - libtelepathy-logger-qt-dev to >= 17.08
    - libtelepathy-qt5-dev to >= 0.9.7
  * Fix override for dh_auto_configure, so it is actually used.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 08:40:29 +0100

ktp-approver (17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1).
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Sep 2017 19:59:02 +0200

ktp-approver (16.04.2-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Jun 2016 09:44:12 +0200

ktp-approver (16.04.1-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake
  * Add a .gitattributes file to use dpkg-mergechangelogs

  [ Diane Trout ]
  * Fix typo in debug line

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add a basic gbp conf file
  * Update vcs uris to point to the ones in applications

 -- Maximiliano Curia <maxy@debian.org>  Fri, 27 May 2016 11:11:12 +0200

=== debian/control ===
Source: ktp-approver
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0),
               libkf5config-dev,
               libkf5dbusaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kcmutils-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5service-dev,
               libsignon-qt5-dev (>= 8.55),
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-approver
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/ktp-approver.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/ktp-approver.git

Package: kde-telepathy-approver
Architecture: any
Depends: kde-telepathy-data (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: kde-telepathy
Description: KDED module for approving incoming conversations
 This package provides a KDED module that starts together with the KDE
 Plasma Desktop and shows a notification popup when someone from your
 contacts starts chatting with you.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-approver 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "17")
-set (KDE_APPLICATIONS_VERSION_MINOR "08")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 
 set(KTP_APPROVER_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,7 @@
+add_definitions(-DTRANSLATION_DOMAIN=\"kded_ktp_approver\")
+
 set(ktp_approver_SRCS
+    ktp_approver_debug.cpp
     ktpapprovermodule.cpp
     approverdaemon.cpp
     dispatchoperation.cpp
@@ -11,9 +14,16 @@
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
-kde4_add_plugin(kded_ktp_approver ${ktp_approver_SRCS})
-target_link_libraries(kded_ktp_approver ${KDE4_KDEUI_LIBS}
-                                        ${TELEPATHY_QT4_LIBRARIES})
+add_library(kded_ktp_approver MODULE ${ktp_approver_SRCS})
+target_link_libraries(kded_ktp_approver Qt5::Widgets
+                                        Qt5::Network
+                                        ${TELEPATHY_QT5_LIBRARIES}
+                                        KF5::DBusAddons
+                                        KF5::ConfigGui
+                                        KF5::I18n
+                                        KF5::Notifications
+                                        KF5::Service
+)
 
 install(TARGETS kded_ktp_approver DESTINATION ${PLUGIN_INSTALL_DIR})
 install(FILES ktp_approver.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)

=== debian/changelog ===
ktp-approver (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:31:12 +0000

ktp-approver (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:00:59 +0000

ktp-approver (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:10:36 +0000

=== debian/control ===
Source: ktp-approver
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libsignon-qt5-dev (>= 8.55),
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.9.0),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-approver
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-approver
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-approver

Package: kde-telepathy-approver
Architecture: any
Depends: kde-telepathy-data (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-telepathy
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDED module for approving incoming conversations
 This package provides a KDED module that starts together with the KDE
 Plasma Desktop and shows a notification popup when someone from your
 contacts starts chatting with you.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
+l10npkgs_firstversion_ok := 4:17.03.90-0~
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_auto_install:
 	$(overridden_command) --destdir=debian/tmp

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-approver-([\d.]+)\.tar\.(?:bz2|xz)
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-approver-([\d.]+)\.t\ar.(?:bz2|xz)

## ktp-approver 18.04.3

=== debian/changelog ===
ktp-approver (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * debian/rules: Correct typo in override_dh_auto_configure
  * Single package, no need for install file

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:21:19 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.0),
                pkg-kde-tools (>= 0.9),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-approver
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-approver
@@ -29,7 +29,7 @@
 
 Package: kde-telepathy-approver
 Architecture: any
-Depends: kde-telepathy-data (>= ${source:Upstream-Version}),
+Depends: kde-telepathy-data,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: kde-telepathy

## ktp-approver 18.12.3

=== debian/changelog ===
ktp-approver (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:32:48 +0000

ktp-approver (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:19:52 +0000

ktp-approver (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:13:48 +0000

ktp-approver (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:52:02 +0000

ktp-approver (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - d/control: Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 03 Jan 2019 00:27:23 +0000

## ktp-approver 19.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 include(FeatureSummary)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "17")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MAJOR "19")
+set (KDE_APPLICATIONS_VERSION_MINOR "04")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 
 set(KTP_APPROVER_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

=== debian/changelog ===
ktp-approver (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:18:27 +0100

ktp-approver (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:12:05 +0100

ktp-approver (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:02:05 +0100

ktp-approver (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:47:42 +0100
